ShoppingList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ShoppingList

    java.lang.Object
      com.fenalco.entities.ShoppingList

    public class ShoppingList

extends java.lang.Object

Esta clase se usa para almacenar la información de una lista de compras

Field Summary
`private int` | `companyId` Identificador de la empresa que es dueña de la lista
`private java.lang.String` | `companyName` Nombre de la empresa que es dueña de la lista
`private int` | `id` Identificador de la lista de compras
`private java.lang.String` | `listName` Nombre con el que el minorista guardó la lista de compras
`private java.util.Hashtable` | `products` Productos que hacen parte de la lista.

Constructor Summary
`ShoppingList()` Constructor por omisión.
`ShoppingList(int shoppingListId)` Constructor que recibe el id de la lista y la carga de la base de datos llamando al método loadData

Method Summary
`boolean` | `delete(Transaction transaction)` Elimina una lista de compras de la base de datos construyendo el sql y adicionandolo a la transacción con el método `addSql`
`int` | `getCompanyId()` Consultor para el atributo companyId.
`java.lang.String` | `getCompanyName()` Consultor para el atributo companyName.
`int` | `getId()` Consultor para el atributo id.
`java.lang.String` | `getListName()` Consultor para el atributo listName.
`java.util.Hashtable` | `getProducts()` Consultor para el atributo products.
`int` | `hashCode()`
`boolean` | `loadData(int shoppingListId)` Carga la información de la lista desde la base de datos a partir del Id
`ShoppingCart` | `loadListSession(int storeId)` Arma un objeto de tipo `ShoppingCart` a partir de la información de la lista y lo retorna
`boolean` | `saveData(Transaction transaction)` Almacena la información de la lista en la base de datos construyendo el sql y adicionandolo a la transacción con el método `addSql`
`void` | `setCompanyId(int companyId)` Modificador para el atributo companyId.
`void` | `setCompanyName(java.lang.String companyName)` Modificador para el atributo companyName.
`void` | `setId(int id)` Modificador para el atributo id.
`void` | `setListName(java.lang.String listName)` Modificador para el atributo listName.
`void` | `setProducts(java.util.Hashtable products)` Modificador para el atributo products.
`boolean` | `update(Transaction transaction)` Actualiza la información de la lista en la base de datos construyendo el sql y adicionandolo a la transacción con el método `addSql`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  Identificador de la lista de compras

### listName

    private java.lang.String listName

  Nombre con el que el minorista guardó la lista de compras

### companyId

    private int companyId

  Identificador de la empresa que es dueña de la lista

### companyName

    private java.lang.String companyName

  Nombre de la empresa que es dueña de la lista

### products

    private java.util.Hashtable products

  Productos que hacen parte de la lista. Este Hashtable está construido de la siguiente forma: - el key es el id del proveedor - el value es un Hashtable organizado de la siguiente forma: - Key: id del objeto ShoppingListProduct - Value: Objeto de tipo ShoppingListProduct

Constructor Detail

### ShoppingList

    public ShoppingList()

  Constructor por omisión. Crea una lista vacía

### ShoppingList

    public ShoppingList(int shoppingListId)

  Constructor que recibe el id de la lista y la carga de la base de datos llamando al método loadData

  Parameters:
    `shoppingListId` - Id de la lista para recuperarla de la base de datos

Method Detail

### loadData

    public boolean loadData(int shoppingListId)

  Carga la información de la lista desde la base de datos a partir del Id

  Parameters:
    `shoppingListId` - El identificador de la lista para recuperarla de la base de datos
  Returns:
    un booleano que indica si la lista se pudó cargar o no

### saveData

    public boolean saveData(Transaction transaction)

  Almacena la información de la lista en la base de datos construyendo el sql y adicionandolo a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    un booleano que indica si la lista se pudo almacenar en la base de datos o no

### update

    public boolean update(Transaction transaction)

  Actualiza la información de la lista en la base de datos construyendo el sql y adicionandolo a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    un booleano que indica si se pudo actualizar la información o no

### delete

    public boolean delete(Transaction transaction)

  Elimina una lista de compras de la base de datos construyendo el sql y adicionandolo a la transacción con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    un booleano que indica si se pudo eliminar o no

### loadListSession

    public ShoppingCart loadListSession(int storeId)

  Arma un objeto de tipo `ShoppingCart` a partir de la información de la lista y lo retorna

  Returns:
    Carrito de compras que tiene todos los productos que están en la lista

### getId

    public int getId()

  Consultor para el atributo id.

  Returns:
    valor del atributo id.

### setId

    public void setId(int id)

  Modificador para el atributo id.

  Parameters:
    `id` - Nuevo valor del atributo id.

### getListName

    public java.lang.String getListName()

  Consultor para el atributo listName.

  Returns:
    valor del atributo listName.

### setListName

    public void setListName(java.lang.String listName)

  Modificador para el atributo listName.

  Parameters:
    `listName` - Nuevo valor del atributo listName.

### getCompanyId

    public int getCompanyId()

  Consultor para el atributo companyId.

  Returns:
    valor del atributo companyId.

### setCompanyId

    public void setCompanyId(int companyId)

  Modificador para el atributo companyId.

  Parameters:
    `companyId` - Nuevo valor del atributo companyId.

### getCompanyName

    public java.lang.String getCompanyName()

  Consultor para el atributo companyName.

  Returns:
    valor del atributo companyName.

### setCompanyName

    public void setCompanyName(java.lang.String companyName)

  Modificador para el atributo companyName.

  Parameters:
    `companyName` - Nuevo valor del atributo companyName.

### getProducts

    public java.util.Hashtable getProducts()

  Consultor para el atributo products.

  Returns:
    valor del atributo products.

### setProducts

    public void setProducts(java.util.Hashtable products)

  Modificador para el atributo products.

  Parameters:
    `products` - Nuevo valor del atributo products.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD